View Issue Details

IDProjectCategoryView StatusLast Update
0002133SymmetricDSBugpublic2015-01-13 14:46
ReporterelongAssigned Toelong 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version3.7.0 
Target Version3.7.1Fixed in Version3.7.1 
Summary0002133: SQL Anywhere capturing wrong date format
DescriptionFor some versions of SQL Anywhere including version 12, columns of type DATE are not captured in the right format. The user will get this meesage:

Could not convert a value of 01/09/2015 for column MYCOLUMN of type DATE

The SqlAnywhereTriggerTemplate is using convert() with a code of 23 that doesn't exist on the older versions, but code 21 does exist.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master d30e4d63

2015-01-13 08:08:39

erilong

Details Diff
0002133: SQL Anywhere capturing wrong date format
0002133
mod - symmetric-client/src/main/java/org/jumpmind/symmetric/db/sqlanywhere/SqlAnywhereTriggerTemplate.java Diff File

Issue History

Date Modified Username Field Change
2015-01-12 11:01 elong New Issue
2015-01-12 11:01 elong Status new => assigned
2015-01-12 11:01 elong Assigned To => elong
2015-01-13 08:08 elong Status assigned => resolved
2015-01-13 08:08 elong Fixed in Version => 3.7.1
2015-01-13 08:08 elong Resolution open => fixed
2015-01-13 09:00 Changeset attached => SymmetricDS trunk r9274
2015-01-13 14:46 chenson Target Version => 3.7.1
2015-01-13 14:46 chenson Status resolved => closed
2015-07-30 21:49 Changeset attached => SymmetricDS master d30e4d63